Debian Bug report logs - #636594
xen: VM restarting too fast. Refusing to restart to avoid loops.

version graph

Package: xen-hypervisor-4.1-amd64; Maintainer for xen-hypervisor-4.1-amd64 is Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>; Source for xen-hypervisor-4.1-amd64 is src:xen.

Reported by: rush <rush1503@gmail.com>

Date: Thu, 4 Aug 2011 11:54:02 UTC

Severity: normal

Tags: sid

Found in version xen/4.1.1-1

Done: Thomas Goirand <thomas@goirand.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 11:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to rush <rush1503@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 11:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: rush <rush1503@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xen: VM restarting too fast. Refusing to restart to avoid loops.
Date: Thu, 04 Aug 2011 15:09:41 +0300
Package: xen-hypervisor-4.1-amd64
Version: 4.1.1-1
Severity: normal
File: xen
Tags: sid

I can't start new domain. xend logs writes

[2011-08-04 14:24:29 1905] INFO (XendDomainInfo:169) Recreating domain 18394, UUID 879e3aba-7d21-4767-80e9-851c562ee8e6. at /local/domain/18394
[2011-08-04 14:24:29 1905] INFO (XendDomainInfo:2078) Domain has shutdown: name=windows_2008 id=18394 reason=reboot.
[2011-08-04 14:24:29 1905] ERROR (XendDomainInfo:2195) VM windows_2008 restarting too fast (Elapsed time: 0.297588 seconds). Refusing to restart to avoid loops.

Domain config is 

arch='i686'
kernel = "/usr/lib/xen-default/boot/hvmloader"
builder='hvm'
memory = 768
shadow_memory = 10
name = "windows_2008"
pae=1
acpi=1
apic=1
vif = [ 'type=ioemu, bridge=eth2' ]
disk = [ 'file:/mnt/virtual/win_2008/win_2008.img,hda,w' ,'file:/mnt/virtual/win_2008/win_2008.iso,hdc:cdrom,r' ]
device_model = '/usr/lib/xen-4.1/bin/qemu-dm'
boot="d"
sdl=0
vnc=1
vncunused=1
vnclisten="0.0.0.0"
vncconsole=1
stdvga=1
serial='pty'
usbdevice='tablet'
on_poweroff = 'destroy'
on_reboot   = 'restart'
on_crash    = 'restart'

qemu-dm log is 

domid: 18294
Strip off blktap sub-type prefix to /mnt/virtual/win_2008/win_2008.img (drv 'aio')
Using file /mnt/virtual/win_2008/win_2008.img in read-write mode
Strip off blktap sub-type prefix to /mnt/virtual/win_2008/win_2008.iso (drv 'aio')
Using file /mnt/virtual/win_2008/win_2008.iso in read-only mode
Watching /local/domain/0/device-model/18294/logdirty/cmd
Watching /local/domain/0/device-model/18294/command
Watching /local/domain/18294/cpu
char device redirected to /dev/pts/5
qemu_map_cache_init nr_buckets = 10000 size 4194304
shared page at pfn feffd
buffered io page at pfn feffb
Guest uuid = fbd53dd4-0ee0-445d-a798-d47cec227d14
xen be core: xen be core: can't open gnttab device
can't open gnttab device
xen be core: xen be core: can't open gnttab device
can't open gnttab device
xen be core: xen be core: can't open gnttab device
can't open gnttab device
populating video RAM at ff000000
mapping video RAM from ff000000
Register xen platform.
Done register platform.
platform_fixed_ioport: changed ro/rw state of ROM memory area. now is rw state.
xs_read(/local/domain/0/device-model/18294/xen_extended_power_mgmt): read error
xs_read(): vncpasswd get error. /vm/fbd53dd4-0ee0-445d-a798-d47cec227d14/vncpasswd.
medium change watch on `hdc' (index: 1): aio:/mnt/virtual/win_2008/win_2008.iso
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
Log-dirty: no command yet.
vcpu-set: watch node error.
xs_read(/local/domain/18294/log-throttling): read error
qemu: ignoring not-understood drive `/local/domain/18294/log-throttling'
medium change watch on `/local/domain/18294/log-throttling' - unknown device, ignored

By the way 

$ aptitude search ~ixen
i A libxenstore3.0                                                    - Xenstore communications library for Xen
i   xen-docs-4.1                                                      - Documentation for Xen
i   xen-hypervisor-4.1-amd64                                          - Xen Hypervisor on AMD64
i   xen-linux-system-3.0.0-1-amd64                                    - Xen system with Linux 3.0.0 on 64-bit PCs (meta-package)
i   xen-tools                                                         - Tools to manage Xen virtual servers
i   xen-utils-4.1                                                     - XEN administrative tools
i A xen-utils-common                                                  - XEN administrative tools - common files
i A xenstore-utils                                                    - Xenstore utilities for Xen
$ uname -a
Linux host 3.0.0-1-amd64 #1 SMP Sun Jul 24 02:24:44 UTC 2011 x86_64 GNU/Linux
$ cat /etc/issue
Debian GNU/Linux wheezy/sid

I haven't found any information about this issue in the internet.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

xen-hypervisor-4.1-amd64 depends on no packages.

Versions of packages xen-hypervisor-4.1-amd64 recommends:
ii  xen-utils-4.1                 4.1.1-1    XEN administrative tools

Versions of packages xen-hypervisor-4.1-amd64 suggests:
ii  xen-docs-4.1                  4.1.1-1    Documentation for Xen

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 12:39:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Рушан <rush1503@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 12:39:21 GMT) Full text and rfc822 format available.

Message #10 received at 636594@bugs.debian.org (full text, mbox):

From: Рушан <rush1503@gmail.com>
To: 636594@bugs.debian.org
Subject: Re: Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Thu, 4 Aug 2011 16:34:04 +0400
By the way seems to me problem independs from kernel.
I've installed 2.6.39 kernel and tried to start domain with xl create
and it is the same problem.
When i try to start domain with xm i get error:

Error: Device 768 (vbd) could not be connected. Path closed or removed
during hotplug add: backend/vbd/2/768 state: 1

On 3.0.0 with xm i don't see such error. It works like xl.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Todd Deshane <todd.deshane@xen.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 16:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 636594@bugs.debian.org (full text, mbox):

From: Todd Deshane <todd.deshane@xen.org>
To: rush <rush1503@gmail.com>, 636594@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-xen-devel] Bug#636594: xen: VM restarting too fast. Refusing to restart to avoid loops.
Date: Thu, 4 Aug 2011 12:25:11 -0400
On Thu, Aug 4, 2011 at 8:09 AM, rush <rush1503@gmail.com> wrote:
> Package: xen-hypervisor-4.1-amd64
> Version: 4.1.1-1
> Severity: normal
> File: xen
> Tags: sid
>
> I can't start new domain. xend logs writes

Do Linux PV or Linux HVM guests start?

Other good resources:
http://wiki.xensource.com/xenwiki/Linux_30_bugs
http://wiki.xensource.com/xenwiki/XenCommonProblems


-- 
Todd Deshane
http://www.linkedin.com/in/deshantm
http://www.xen.org/products/cloudxen.html
http://runningxen.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 636594@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Рушан <rush1503@gmail.com>, 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Thu, 4 Aug 2011 18:59:22 +0200
On Thu, Aug 04, 2011 at 04:34:04PM +0400, Рушан wrote:
> I've installed 2.6.39 kernel and tried to start domain with xl create
> and it is the same problem.

You have to test using 2.6.32. All newer may or may not work.

Bastian

-- 
Vulcans worship peace above all.
		-- McCoy, "Return to Tomorrow", stardate 4768.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dokter@icg.tugraz.at:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 17:33:07 GMT) Full text and rfc822 format available.

Message #25 received at 636594@bugs.debian.org (full text, mbox):

From: Mark Dokter <dokter@icg.tugraz.at>
To: rush <rush1503@gmail.com>, 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: xen: VM restarting too fast. Refusing to restart to avoid loops.
Date: Thu, 04 Aug 2011 19:08:13 +0200
I was hit by that bug too on my debian and ubuntu test machines.
Well, at least I think this is the same problem. Short answer: xen 4.1.1
compiled by gcc 4.6 (debian testing/unstable and ubuntu oneiric use that
version) produce a broken hvmloader.

Long answer [1]

Packages with fix (for ubuntu) [2]

Maybe someone can use this to fix the packages in debian?

[1]
https://bugs.launchpad.net/ubuntu/+source/xen/+bug/811951

[2]
https://launchpad.net/~bderzhavets/+archive/xen-hg

hth,
Mark




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Thu, 04 Aug 2011 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Рушан <rush1503@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 22:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 636594@bugs.debian.org (full text, mbox):

From: Рушан <rush1503@gmail.com>
To: Bastian Blank <waldi@debian.org>, Todd Deshane <todd.deshane@xen.org>, dokter@icg.tugraz.at, 636594@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-xen-devel] Bug#636594: xen: VM restarting too fast. Refusing to restart to avoid loops.
Date: Fri, 5 Aug 2011 02:50:53 +0400
2011/8/4, Bastian Blank <waldi@debian.org>:
>
> You have to test using 2.6.32. All newer may or may not work.
>

Nothing changes with 2.6.32.


2011/8/4, Todd Deshane <todd.deshane@xen.org>:
>
> Do Linux PV or Linux HVM guests start?
>

Linux HVM guest has exactly the same behavior. It also restarts too
fast and xen destroys it. Linux PV i can't test right now, I'll try it
later.


2011/8/4, Mark Dokter <dokter@icg.tugraz.at>:
> I was hit by that bug too on my debian and ubuntu test machines.
> Well, at least I think this is the same problem. Short answer: xen 4.1.1
> compiled by gcc 4.6 (debian testing/unstable and ubuntu oneiric use that
> version) produce a broken hvmloader.
>

Yeah, thank you for tip. I'll try to compile xen 4.1.1 from source
with old gcc and I'll write about results.


Best regards,
rush.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Fri, 12 Aug 2011 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to rush <rush1503@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Fri, 12 Aug 2011 20:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 636594@bugs.debian.org (full text, mbox):

From: rush <rush1503@gmail.com>
To: Pasi Kärkkäinen <pasik@iki.fi>
Cc: 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Sat, 13 Aug 2011 00:23:46 +0400
Yeap, but as you can see xen doesn't work even in case linux 3.0.0.
Therefore this is why i've created this bug report.

2011/8/13, Pasi Kärkkäinen <pasik@iki.fi>:
> On Thu, Aug 04, 2011 at 04:34:04PM +0400, ?????????? wrote:
>> By the way seems to me problem independs from kernel.
>> I've installed 2.6.39 kernel and tried to start domain with xl create
>> and it is the same problem.
>> When i try to start domain with xm i get error:
>>
>> Error: Device 768 (vbd) could not be connected. Path closed or removed
>> during hotplug add: backend/vbd/2/768 state: 1
>>
>
> Upstream Linux 2.6.39 kernel does NOT yet have xen-blkback driver!
>
>> On 3.0.0 with xm i don't see such error. It works like xl.
>>
>
> .. and Linux 3.0.0 adds xen-blkback, so that's why it works with 3.0.0.
>
> More info here:
> http://wiki.xen.org/xenwiki/XenParavirtOps
>
> And:
> http://wiki.xensource.com/xenwiki/Linux_30_bugs
>
> And:
> http://wiki.xen.org/xenwiki/XenCommonProblems
>
>
> -- Pasi
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Fri, 12 Aug 2011 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pasi Kärkkäinen <pasik@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Fri, 12 Aug 2011 20:57:10 GMT) Full text and rfc822 format available.

Message #40 received at 636594@bugs.debian.org (full text, mbox):

From: Pasi Kärkkäinen <pasik@iki.fi>
To: ?????????? <rush1503@gmail.com>, 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Fri, 12 Aug 2011 23:13:50 +0300
On Thu, Aug 04, 2011 at 04:34:04PM +0400, ?????????? wrote:
> By the way seems to me problem independs from kernel.
> I've installed 2.6.39 kernel and tried to start domain with xl create
> and it is the same problem.
> When i try to start domain with xm i get error:
> 
> Error: Device 768 (vbd) could not be connected. Path closed or removed
> during hotplug add: backend/vbd/2/768 state: 1
> 

Upstream Linux 2.6.39 kernel does NOT yet have xen-blkback driver!

> On 3.0.0 with xm i don't see such error. It works like xl.
> 

.. and Linux 3.0.0 adds xen-blkback, so that's why it works with 3.0.0.

More info here:
http://wiki.xen.org/xenwiki/XenParavirtOps

And:
http://wiki.xensource.com/xenwiki/Linux_30_bugs

And:
http://wiki.xen.org/xenwiki/XenCommonProblems


-- Pasi






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Sat, 13 Aug 2011 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Sat, 13 Aug 2011 02:03:03 GMT) Full text and rfc822 format available.

Message #45 received at 636594@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: rush <rush1503@gmail.com>, 636594@bugs.debian.org
Cc: Pasi Kärkkäinen <pasik@iki.fi>
Subject: Re: [Pkg-xen-devel] Bug#636594: Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Sat, 13 Aug 2011 10:02:19 +0800
On 08/13/2011 04:23 AM, rush wrote:
> Yeap, but as you can see xen doesn't work even in case linux 3.0.0.
> Therefore this is why i've created this bug report.

It does!!! There's an issue with the VGA text console though (I'm
talking about text mode only), which is planned to be fixed in 3.0.2,
and is already in for 3.1.x. However, you can use the framebuffer
console instead, as a workaround.

I already sent a mail to the debian-kernel list to make sure they know.
It seems that the patch is already in 3.0.0-2. You can see the reply of
Ben Hutching about it here:

http://lists.debian.org/debian-kernel/2011/08/msg00351.html

Apart from that issue, Xen 4.1.1 is working very well with 3.0.0.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Mon, 15 Aug 2011 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rush <rush1503@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 15 Aug 2011 05:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 636594@bugs.debian.org (full text, mbox):

From: rush <rush1503@gmail.com>
To: Thomas Goirand <thomas@goirand.fr>
Cc: 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Mon, 15 Aug 2011 09:14:44 +0400
Ah, OK. My current kernel is 3.0.0-1. So I'll try to udpate it and
check it again later.
Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#636594; Package xen-hypervisor-4.1-amd64. (Mon, 15 Aug 2011 07:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 15 Aug 2011 07:48:06 GMT) Full text and rfc822 format available.

Message #55 received at 636594@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: rush <rush1503@gmail.com>
Cc: 636594@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#636594: Bug#636594: Acknowledgement (xen: VM restarting too fast. Refusing to restart to avoid loops.)
Date: Mon, 15 Aug 2011 15:45:41 +0800
On 08/15/2011 01:14 PM, rush wrote:
> Ah, OK. My current kernel is 3.0.0-1. So I'll try to udpate it and
> check it again later.
> Thank you.

I don't think we have anything but 3.0.0-1 available ATM. You'll have to
either:
- build a Debian kernel yourself, with the patch I pointed at, or
- boot using the frame buffer, or
- ignore the fact that there's no display and just ssh your server or
- wait until 3.0.0-2 is released

Thomas




Reply sent to Thomas Goirand <thomas@goirand.fr>:
You have taken responsibility. (Tue, 20 Dec 2011 17:15:05 GMT) Full text and rfc822 format available.

Notification sent to rush <rush1503@gmail.com>:
Bug acknowledged by developer. (Tue, 20 Dec 2011 17:15:06 GMT) Full text and rfc822 format available.

Message #60 received at 636594-done@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 636594-done@bugs.debian.org
Subject: This bug isn't relevant anymore
Date: Wed, 21 Dec 2011 01:13:41 +0800
Xen really does work with latest SID dom0 kernel, and the bugfix for the
VGA text console has been applied.

Thomas




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jan 2012 07:39:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:21:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.